Download MetaTrader 5

MT4 / MT5 Linux compatibility

To add comments, please log in or register
redeingel
20
redeingel  

There are not MT4 / MT5 Linux versions BUT the good news is that MT4 installed and work OK on Linux Wine (Windows Emulator) Ver 1.2.

I test for 7 Days MT4 on Linux Ubuntu10.4 + WINE 1.2 with EA loaded and auto Open/Close/Trailing all orders without problem.

The MT4 installation on WINE worked OK as Windows.

If you don't want to install MT4 on Linux WINE, you can run MT4 direct from Windows program files MT4 directory after C: disk mount, with all profile properties that you have installed on windows.

This is important because some VPS Servers use Linux as OS.


I Try the same thing with MT5 but installation don't start.

I copy the directory of MT5 from windows to Linux WINE program files and i try to run but i take the message "A debugger has been found running in your system. Please, unload it from memory and restart your program".

Unfortunately the MT5 don't work on Linux WINE, the only executive file in MT5 file list that is running OK without problems is metaeditor.exe.

Please send me information if you have any opinion for this problem repairing.

ppc123
17
ppc123  

Works for wine 1.3.1.

See WineHQ for more info.

http://appdb.winehq.org/objectManager.php?sClass=version&iId=19984

feelmeheaven
5
feelmeheaven  
Why there isn't MT4 or MT5 for Linux???????? When MT4 or MT5 will be released for Linux too?
Simon Gniadkowski
Moderator
18025
Simon Gniadkowski  
feelmeheaven:
Why there isn't MT4 or MT5 for Linux???????? When MT4 or MT5 will be released for Linux too?
You dredge up a 3 year old thread to ask a question of people that are no longer here, go ask MetaQutes and don't dredge up ancient threads.


Thread start date - 2010.08.22
Michele Lazzarini
480
Michele Lazzarini  
analyst_jane
14
analyst_jane  

The reason from dragging old thread back to life is this:

"A debugger has been found running in your system. Please, unload it from memory and restart your program."


After you clicked "OK" to restart your MetaTrader 5 after an upgrade, it no longer works. Funny thing, is it not?

What now, spend a lot of time installing, reinstalling, uninstalling, etc, etc, etc, etc?

Carl Schreiber
7294
Carl Schreiber  
I think they are very much in trouble to make everything Win-10 fit, which seem to be - not only! - for Metaquotes a serious problem. No time to take care about Linux!
Fernando Carreiro
2890
Fernando Carreiro  
analyst_jane:

The reason from dragging old thread back to life is this:

"A debugger has been found running in your system. Please, unload it from memory and restart your program."

After you clicked "OK" to restart your MetaTrader 5 after an upgrade, it no longer works. Funny thing, is it not?

What now, spend a lot of time installing, reinstalling, uninstalling, etc, etc, etc, etc?

Learn to search the forum first before posting:
How to solve "A debugger has been found running in your system...."
How to solve "A debugger has been found running in your system...."
  • www.mql5.com
I was using the Meta Trader 5 inside Linux OpenSuse and Wine...
mrluck1
630
mrluck1  
And about performance, using linux i'll get significant performance loss instead of windows?
Onkel_Bob
5
Onkel_Bob  

Hello Forum,

yesterday MT5 updated to the latest Build (1596 I think). And now it won't start with wine 2.0.1 (latest stable) on xubuntu 16.04.2 32-Bit.

Error: Segmentation Fault (core dump)

I reinstalled wine and the .wine folder, but nothing helps.

Can anyone confirm this bug?

dmesg output:

"terminal.exe[5412] bad frame in rt_sigreturn frame:0032fd0c ip:32ff38 sp:7bc52506 orax:ffffffff"

The same happens to metaeditor.

Metatrader 4 and the editor is working fine.

To add comments, please log in or register